> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/aptos.md).

# Aptos

## Accounts <a href="#accounts" id="accounts"></a>

* [Get account](/build/api-reference/aptos/get-account.md)
* [Get account resources](/build/api-reference/aptos/get-account-resources.md)
* [Get account balance​](/build/api-reference/aptos/get-account-resources-1.md)
* [Get account modules](/build/api-reference/aptos/get-account-modules.md)
* [Get account resource](/build/api-reference/aptos/get-account-resource.md)
* [Get account module](/build/api-reference/aptos/get-account-module.md)

## Blocks <a href="#eth_unsubscribe" id="eth_unsubscribe"></a>

* [Get blocks by height](/build/api-reference/aptos/get-blocks-by-height.md)
* [Get blocks by version](/build/api-reference/aptos/get-blocks-by-version.md)

## Events <a href="#net_peercount" id="net_peercount"></a>

* [Get events by creation number](/build/api-reference/aptos/get-events-by-creation-number.md)
* [Get events by event handle](/build/api-reference/aptos/get-events-by-event-handle.md)

## General <a href="#web3_sha3" id="web3_sha3"></a>

* [Show OpenAPI explorer](/build/api-reference/aptos/show-openapi-explorer.md)
* [Show some basic info of the node](/build/api-reference/aptos/check-basic-node-health.md)
* [Check basic node health](/build/api-reference/aptos/check-basic-node-health-1.md)
* [Get ledger info](/build/api-reference/aptos/get-ledger-info.md)

## Tables <a href="#web3_sha3-1" id="web3_sha3-1"></a>

* [Get table item](/build/api-reference/aptos/get-table-item.md)

## **Transaction** <a href="#transaction" id="transaction"></a>

* [Get transactions](/build/api-reference/aptos/get-transactions.md)
* [Submit transaction](/build/api-reference/aptos/submit-transaction.md)
* [Get transaction by hash](/build/api-reference/aptos/get-transaction-by-hash.md)
* [Wait for transaction by hash​](/build/api-reference/aptos/get-transaction-by-hash-1.md)
* [Get transaction by version​](/build/api-reference/aptos/get-transaction-by-hash-2.md)
* [Get account transactions](/build/api-reference/aptos/get-account-transactions.md)
* [Submit batch transactions](/build/api-reference/aptos/submit-batch-transactions.md)
* [Simulate transaction](/build/api-reference/aptos/simulate-transaction.md)
* [Encode submission](/build/api-reference/aptos/encode-submission.md)
* [Estimate gas price](/build/api-reference/aptos/estimate-gas-price.md)

{% hint style="info" %}
Due to the official documentation, the structure of the request url should end with the Aptos version and the method like "/v1/\<method>". This is different from EVM chains.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.blockpi.io/build/api-reference/aptos.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
